[% BLOCK allocation_fields %]
    <tr>
        <td>Huidige behandelaar</td>
        <td colspan="2">    
            [% IF selection == 'one_case' %]
                [% IF zaak.behandelaar && zaak.behandelaar.naam %]
                    [% zaak.behandelaar.naam %] 
                [% ELSE %]
                    [Niet in behandeling genomen]
                [% END %]
            [% ELSE %]
                [verschillende]
            [% END %]
        </td>
    </tr>
    <tr>
        <td>Type toewijzing:</td>
        <td colspan="2">
            <input type="radio" name="change_allocation" class="ezra_change_allocation" value="behandelaar" checked="checked" /> <label for="ezra_change_allocation_behandelaar">Specifieke behandelaar</label>
            <br/>
            <input type="radio" name="change_allocation" class="ezra_change_allocation" value="group" /> <label for="ezra_change_allocation_group">Afdeling en rol</label>
            <br/>
        </td>
    </tr>
    [% behandelaar_label = BLOCK  %]
    [% END %]
    [% PROCESS widgets/search_betrokkene.tt
        label = 'Nieuwe behandelaar: '
        input_name = 'betrokkene_id'
        ezra_id         = 'ezra_id_behandelaar'
        selector_input  = 'behandelaar_type'
        input_name      = 'betrokkene_id'
    %]
        </td>
    </tr>
    
    <tr id="ezra_allocation_group" style="display:none;">
        <td>Afdeling en rol:</td>
        <td colspan="2">
            <div class="ezra_allocation_settings ou_id role_id">
            [% PROCESS widgets/general/auth_select.tt
                AUTH_SELECT_OU_NAME             = 'ou_id'
                AUTH_SELECT_ROLE_NAME           = 'role_id'
                AUTH_SELECT_NO_GLOBAL           = 1
            %]
            </div>
        </td>
        <td>[% PROCESS widgets/general/validator.tt %]</td>
    </tr>

    <tr id="ezra_owner_change_department" style="display:none;">
        <td>Ook afdeling wijzigen</td>
        <td colspan="2">
            <input type="checkbox" name="change_department" />
        </td>
        <td>[% PROCESS widgets/general/validator.tt %]</td>
    </tr>

    [% selected_case_count = selected_case_ids.split(',').size %]
    [% IF template_available && (selection == 'one_case' || (selection == 'selected_cases' && selected_case_count == 1)) %]
    <tr id="ezra_send_notification">
        <td class="td-label">Verstuur e-mail</td>
        <td colspan="2">
            <input type="checkbox" name="notify" value="1" checked="checked" />
        </td>
    </tr>
    [% END %]

    [% IF context %]
    <input type="hidden" name="context" value="[% context %]" />
    [% END %]

    [% IF context %]
    <input type="hidden" name="context" value="[% context %]" />
    [% END %]
[% END %]


[% BLOCK verlengen_fields %]
    [% PROCESS zaak/actions/prolong.tt %]
[% END %]


[% BLOCK opschorten_fields %]
    [% action_resume = action == 'resume' || is_opgeschort %]

    <tr>
        <td>Reden [% action_resume ? 'hervatten' : 'opschorting' %]</td>
        <td>
            <input type="text" class="input_large" name="reden" />
        </td>
        <td>[% PROCESS widgets/general/validator.tt %]</td>
    </tr>

    [% IF action_resume %]
        <tr>
            <td>Ingangsdatum opschorting</td>
            <td><input id="datepicker_startdate" class="veldoptie_datepicker veldoptie_datepicker_no_future" type="text" name="stalled_since" value="[% zaak.stalled_since ? zaak.stalled_since.dmy : current_date %]"></td>
            <td>[% PROCESS widgets/general/validator.tt %]</td>
        </tr>
        <tr>
            <td>Einddatum opschorting</td>
            <td><input id="datepicker_enddate" class="veldoptie_datepicker veldoptie_datepicker_no_future" type="text" name="stalled_until" value="[% current_date %]"></td>
            <td>[% PROCESS widgets/general/validator.tt %]</td>
        </tr>
    [% ELSE %]
        <tr>
            <td>Termijn:</td>
            <td data-ng-controller="nl.mintlab.core.IsolationController" data-ng-init="schedule_resume=1">
                <label class="radio-item"><input data-ng-model="schedule_resume" type="radio" value="0" name="schedule_resume"/> Onbepaald</label><br/>
                <label class="radio-item"><input data-ng-model="schedule_resume" type="radio" value="1" checked="checked" name="schedule_resume"/> Bepaald, namelijk:</label>
                <span data-ng-show="schedule_resume">
                [% PROCESS widgets/general/terms.tt
                    terms_name  = "suspension_term_amount"
                    terms_value = "6"
                    terms_name_type = "suspension_term_type"
                    terms_name_type_value = "weken"
                    dont_make_widget = 1
                %]
                </span>
            </td>
            <td>[% PROCESS widgets/general/validator.tt %]</td>
        </tr>
    [% END %]


[% END %]


[% BLOCK owner_fields %]
<!-- no params -->
[% END %]


[% BLOCK destroy_fields %]
    [% PROCESS zaak/actions/destroy.tt %]
[% END %]


[% BLOCK resume_fields %]
    [% PROCESS opschorten_fields %]
[% END %]


[% BLOCK relatie_fields %]
    <tr>
        <td>Zaak zoeken</td>
        
        <td class="ezra_objectsearch_case">
            <input type="hidden" value="" class="ezra_selected_zaak_id" name="zaaknr"/>
            <input type="text" value="" class="searchbox input_large" placeholder="Typ uw zoekterm"/>
        </td>
        <td>[% PROCESS widgets/general/validator.tt %]</td>
    </tr>
[% END %]

[% BLOCK set_settings_fields %]
    [% PROCESS zaak/widgets/set_settings_bulk.tt %]
[% END %]


<form action="[% IF zaak.id %]/zaak/[% zaak.id %]/update/[% action %][% ELSE %]/bulk/update/[% action %][% END %]" class="zvalidate ezra_listactions_form" data-ng-init="prolongationType='fixedDate'">
<input type="hidden" name="selected_case_ids" value="[% selected_case_ids %]"/>
<input type="hidden" name="search_query_id" value="[% search_query_id %]"/>
<input type="hidden" name="no_redirect" value="[% no_redirect %]"/>
<input type="hidden" name="zql" value="[% c.req.params.zql | html %]"/>
    <table class="opties beheeracties table-form[% IF set_settings %] table-form-no-guidelines[% END %]">
        <tr>
            <td>Wijziging heeft betrekking op</td>
            <td>
                <input type="hidden" name="selection" value="[% selection %]"/>
                [% IF selection == 'one_case' %]
                    Zaak [% selected_case_ids %]
                [% ELSIF selection == 'selected_cases' %]
                    Geselecteerde zaken: [% selected_case_ids.split(',').join(', ')  | truncate(64) %]
                [% ELSIF selection == 'search_results' || selection == 'zql' %]
                    [% IF search_query_id %]
                        Alle zaken in zoekselectie '<strong>[% search_query_name %]</strong>'
                    [% ELSE %]
                        Alle zaken in huidige zoekselectie 
                    [% END %]
                    ([% search_query.pager.total_entries %] zaken)
                [% END %]
            </td>
            <td>
                [% PROCESS widgets/general/validator.tt %]
            </td>
        </tr>
        [% blockname = action _ '_fields' %]
        [% PROCESS $blockname %]
    </table>
    <div class="form-actions">
        <input type="submit" name="commit" value="[% IF action == 'destroy' %]Vernietigen[% ELSIF action == 'relatie' %]Toevoegen[%ELSE %]Wijzigen[% END %]" class="btn btn-primary">
    </div>
</form>
